Bug 186844 - Gnome session does not save application sesstings correctly
Gnome session does not save application sesstings correctly
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 20:14 EST by Weiqi Gao
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 14:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Weiqi Gao 2006-03-26 20:14:30 EST
Description of problem:

When I log out a Gnome session and log back in again (with the Session
preference "Save session automatically" set), not all of my applications are
saved.  For example, I have four Gnome Terminal open and positions at different
workspaces and positions and when I log back in only one Gnome Terminal is opened.


Version-Release number of selected component (if applicable):

Gnome 2.14.

How reproducible:

Allways.

Steps to Reproduce:
1. Log in. open four Gnome Terminals.  They will be positioned by Gnome on the
workspace in an non-overlapping manner.
2. Check the Session preference "Save session automatically."
3. Log out and back in.
  
Actual results:

Only one Gnome Terminal is re-opened.

Expected results:

All four Gnome Terminals are re-opened at their previously occupied position.

Additional info:

This behavior is new as of FC5, which I installed a couple of days ago.  FC4
behaves as expected.
Comment 1 Andre Robatino 2006-03-26 21:30:07 EST
  This may be related to bug #186836 (changing position of home directory icon
on desktop).
Comment 2 Brian Millett 2006-05-04 08:27:40 EDT
This bug is starting to really bug me.  Any resolution?
Thanks.
Comment 3 Stewart Adam 2006-08-14 11:29:39 EDT
Have you tried the rawhide versions? I'm using rawhide (FC6T2) and it seems to
save my apps correctly ( Mind you, they're all programs that use panel-applets,
so I can't say if it will keep their position. )
Comment 4 Brian Millett 2006-08-14 13:39:37 EDT
Well, I found a solution for me at least.  I found that my home directory GID
was not the default.
[bpm]$ id
uid=500(bpm) gid=500(bpm) groups=10(wheel),48(apache),102(fuse),500(bpm)

The default is bpm:bpm.  The /home/bpm files were bpm:apache.  So for some
reason, having the GID different, even though the UID was the same as default,
caused GNOME to not save the state.  After changing the GID to "bpm" instead of
"apache", then all started to work.

Do not know if this is an "undocumented feature" or not.
Comment 5 Ray Strode [halfline] 2007-08-20 14:10:09 EDT
I'm going to go ahead and close this one out, guys.  Reopen if you see anymore
problems.

Note You need to log in before you can comment on or make changes to this bug.